Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226970

Summary: nspr-devel should require pkgconfig
Product: [Fedora] Fedora Reporter: Matthias Saou <matthias>
Component: nsprAssignee: Kai Engert (:kaie) (inactive account) <kengert>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dcantrell
Target Milestone: ---Keywords: EasyFix
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-03-05 14:45:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 150225    

Description Matthias Saou 2007-02-02 12:04:27 UTC
While recompiling "js", I saw these errors :

/usr/bin/nspr-config: line 101: pkg-config: command not found
/usr/bin/nspr-config: line 101: pkg-config: command not found
/usr/bin/nspr-config: line 135: pkg-config: command not found
/usr/bin/nspr-config: line 141: pkg-config: command not found

For which the proper fix seems to be to add this to the nspr-devel sub-package:

Requires: pkgconfig

Comment 1 Matthias Saou 2007-02-05 14:03:58 UTC
Adding as FC7Target. This should really be a trivial bug to fix, but needs fixing.
Also CC'ing Jesse since IIRC he had asked me to do so on "quickly fixable" bugs.

Comment 2 Kai Engert (:kaie) (inactive account) 2007-02-19 06:24:10 UTC
Fix in my tree, will be shipped fc5/fc6/devel with upcoming new nspr package
release this week.


Comment 3 Kai Engert (:kaie) (inactive account) 2007-03-05 14:45:08 UTC
fixed in fc5, fc6 and rawhide